Mailinglist Archive: opensuse-bugs (4216 mails)

< Previous Next >
[Bug 742935] New: devel:gcc/libgcj45: Bug - Subpackage needed to prevent GUI deps on non-GUI installs
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 23 Jan 2012 19:19:10 +0000
  • Message-id: <bug-742935-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=742935

https://bugzilla.novell.com/show_bug.cgi?id=742935#c0


Summary: devel:gcc/libgcj45: Bug - Subpackage needed to prevent
GUI deps on non-GUI installs
Classification: openSUSE
Product: openSUSE.org
Version: unspecified
Platform: Other
OS/Version: Other
Status: NEW
Severity: Enhancement
Priority: P5 - None
Component: 3rd party software
AssignedTo: rguenther@xxxxxxxx
ReportedBy: drankinatty@xxxxxxxxxxxxxxxxxx
QAContact: opensuse-communityscreening@xxxxxxxxxxxxxxxxxxxxxx
Found By: ---
Blocker: ---


Devs,

The gcc-gcj package should be split into sub-packages to avoid dependency
problems that require the installation of GUI components (gtk/x11) on systems
where no desktop is installed and none is wanted. This affects 11.4 (presumable
12.1 also) Currently gcj includes, among others,
/usr/lib64/gcj-4.5-11/libjawt.so that requires various gtk components to be
installed, even on minimal systems where no desktop is installed or wanted.
These gcj components that required GUI support should be moved to a subpackage
to eliminate GUI components installed as dependencies where they are not needed
or wanted.

A prime example of the problem can be seen when attempting to install 'pdftk'
on minimal system installs. pdftk relies on gcj, but pdftk is a command line
utility. Attempting to install pdftk on a minimal system results in the
following:

# zypper in pdftk
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW packages are going to be installed:
PackageKit-gstreamer-plugin aspell aspell-en bundle-lang-gnome-en
bundle-lang-gnome-extras-en fuse gconf-polkit gconf2 gd
gdk-pixbuf-query-loaders gnome-icon-theme gnome-icon-theme-extras
gnome-icon-theme-symbolic gnome-keyring gnome-keyring-pam
gstreamer-0_10 gstreamer-0_10-plugins-base gtk2-branding-openSUSE gtk2-data
gtk2-engine-murrine gtk2-immodule-amharic
gtk2-immodule-inuktitut gtk2-immodule-thai gtk2-immodule-vietnamese
gtk2-metatheme-sonar gtk2-tools gvfs gvfs-backend-afc
gvfs-backends gvfs-fuse hunspell hunspell-tools libIDL-2-0 libXi6 libasound2
libatasmart4 libatk-1_0-0 libavahi-client3
libavahi-common3 libavahi-glib1 libbluetooth3 libcairo2 libcdda_interface0
libcdda_paranoia0 libcdio12 libcdio_cdda0
libcdio_paranoia0 libenca0 libenchant1 libexif12 libfuse2 libgcj45
libgcj45-jar libgcr0 libgdk_pixbuf-2_0-0 libgdu0 libgeoclue0
libgnome-keyring0 libgp11-0 libgp11-modules libgphoto2 libgstapp-0_10-0
libgstinterfaces-0_10-0 libgstreamer-0_10-0 libgtk-2_0-0
libgvfscommon0 libjasper1 liblockdev1 libogg0 libopenobex1 liborc-0_4-0
libpackagekit-glib2-14 libpango-1_0-0 libpixman-1-0
libproxy1-config-gnome libproxy1-pacrunner-webkit librcc0 librcd0
libsmbclient0 libsoup-2_4-1 libsqlite3-0 libtheora0 libvisual
libvorbis0 libvorbisenc2 libwbclient0 libwebkitgtk-1_0-0 libxslt lockdev
metatheme-sonar-common obex-data-server orbit2
pango-tools pdftk rcc-runtime sg3_utils sonar-icon-theme udisks
xorg-x11-libXfixes xorg-x11-libXp xorg-x11-libXprintUtil
xorg-x11-libXrender xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs
xorg-x11-libxkbfile

The following recommended packages were automatically selected:
bundle-lang-gnome-en gnome-keyring gnome-keyring-pam gtk2-branding-openSUSE
gtk2-data gtk2-immodule-amharic
gtk2-immodule-inuktitut gtk2-immodule-thai gtk2-immodule-vietnamese gvfs
gvfs-backend-afc gvfs-backends gvfs-fuse libgcj45-jar
libgp11-modules obex-data-server sonar-icon-theme

106 new packages to install.
Overall download size: 55.2 MiB. After the operation, additional 187.5 MiB will
be used.
Continue? [y/n/?] (y):

That shouldn't be required on a minimal system.

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >